Package ca.cdr.api.consent
Class ConsentFixedPolicyRequest
java.lang.Object
ca.cdr.api.consent.ConsentFixedPolicyRequest
A consent fixed policy request containing:
- The policy name which should be mapped to a new instance of an
IConsentService - The
UserSessionDetailsJsonof the user making the request.
Fixed policies are simple policies that do not accept query parameters.
For policies that require configuration via query parameters, use ConsentParameterizedPolicyRequest instead.
-
Constructor Summary
ConstructorsConstructorDescriptionConsentFixedPolicyRequest(String thePolicyName, UserSessionDetailsJson theUserSessionDetails) -
Method Summary
Modifier and TypeMethodDescription
-
Constructor Details
-
ConsentFixedPolicyRequest
public ConsentFixedPolicyRequest(String thePolicyName, UserSessionDetailsJson theUserSessionDetails)
-
-
Method Details
-
getPolicyName
-
getUserSessionDetailsJson
-